com.intellectualsites.translation

## Class TranslationObject

- java.lang.Object
- - com.intellectualsites.translation.TranslationObject

-     public class TranslationObject
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslationObject(java.lang.String key, java.lang.String defaultValue, java.lang.String description, java.lang.String creationDescription)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCreationDescription()`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getKey()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslationObject

          public TranslationObject(java.lang.String key,
                           java.lang.String defaultValue,
                           java.lang.String description,
                           java.lang.String creationDescription)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getCreationDescription

          public java.lang.String getCreationDescription()